1. Payouts
Asteria API DOCs
  • Getting Started
  • Webhooks
  • Auth
    • Validate & Generate Access Token
      POST
  • Collections
    • Pay via Bank Transfer
      • Get Banks
      • Generate Dynamic VIrtual Account
      • Check Payment Status
    • Cards
      • Generate Payment Advice
      • Charge Card
    • Mpesa
      • Mpesa API
  • Payouts
    • Get Bank List
      GET
    • Validate Account
      POST
    • Initiate Transfer
      POST
    • Check Payout Status
      POST
  • Account
    • Get Wallet Balance
      GET
  1. Payouts

Get Bank List

GET
https://dev-gateway.mydartdigital.com/payouts/get-bank-list

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dev-gateway.mydartdigital.com/payouts/get-bank-list?currency=NGN' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "responseStatus": "00",
    "message": "All banks",
    "Currency": "NGN",
    "banks": [
        {
            "bankName": "Bank 1",
            "bankCode": "003"
        },
        {
            "bankName": "Bank 2",
            "bankCode": "004"
        }
    ]
}
Modified at 2026-05-23 12:15:31
Previous
Mpesa API
Next
Validate Account
Built with